# V language
**Aixt** project not only is based on _The V programming language_ but use it for formating the Aixt source code and also for implementing the Aixt transpiler base on the _V's_ self-compiler. You can install [_V_](https://github.com/vlang/v) using [_git_](https://git-scm.com/) as follows:
```
git clone https://github.com/vlang/v
cd v
make 
v symlink
```

# Native C compilers (or IDEs)
- **XC8**: Microchip and Atmel 8-bit microcontrollers
- **XC16**: Microchip 16-bit microcontrollers
- **PSoC Creator**: Cypress (PSoC 3, 4 ,5 and 6)
- **clang** or **gcc**: Emulator on Linux
- **tcc**: Emulator on Window
- **Arduino IDE**: for all the ports that use Arduino backend

_NOTE:_ **nbc**, the NXC compiler for LEGO Mindstorms NXT intelligent brick, is already delivered along with the **Aixt project** source code.

# Visual Studio Code (optional)
For ease of using, **Aixt** project comes with configuration [_vscode_](https://code.visualstudio.com/) for building projects directly from that editor.
